FROM nginx
VOLUME /tmp
ENV LANG en_US.UTF-8
RUN echo "\
      # gzip config\
      gzip on;\
      gzip_min_length 1k;\
      gzip_comp_level 9;\
      gzip_types text/plain application/javascript application/x-javascript text/css application/xml text/javascript application/x-httpd-php image/jpeg image/gif image/png;\
      gzip_vary on;\
      gzip_disable "MSIE [1-6]\.";\
      server {  \
                      listen       80; \
					  client_max_body_size   20m; \
                      #listen       443 ssl; \
					  #ssl on;\
					  #ssl_certificate /etc/nginx/ssl/7278703_blueelephant.es-erp.com.pem;\
					  #ssl_certificate_key /etc/nginx/ssl/7278703_blueelephant.es-erp.com.key;\
					  #ssl_session_timeout 5m;\
                      location /admin { \
                            proxy_pass              http://msjf-customized; \
                            proxy_set_header        Host msjf-customized; \
                            proxy_set_header        X-Real-IP \$remote_addr; \
                            proxy_set_header        X-Forwarded-For \$proxy_add_x_forwarded_for; \
                       } \
                      location /wx { \
                            proxy_pass              http://msjf-customized; \
                            proxy_set_header        Host msjf-customized; \
                            proxy_set_header        X-Real-IP \$remote_addr; \
                            proxy_set_header        X-Forwarded-For \$proxy_add_x_forwarded_for; \
                       } \
                       #解决Router(mode: 'history')模式下，刷新路由地址不能找到页面的问题 \
                       location / { \
                            root   /var/www/html/; \
                            index  index.html index.htm; \
                            if (!-e \$request_filename) { \
                                rewrite ^(.*)\$ /index.html?s=\$1 last; \
                                break; \
                            } \
                        } \
                        access_log  /var/log/nginx/access.log ; \
              } " > /etc/nginx/conf.d/default.conf \
    &&  mkdir  -p  /var/www \
    &&  mkdir -p /var/www/html

ADD dist/build/h5 /var/www/html/

EXPOSE 80

